JavaScript
import Inbound from 'inboundemail';
const client = new Inbound({
apiKey: process.env['INBOUND_API_KEY'], // This is the default and can be omitted
});
const domains = await client.domains.list();
console.log(domains.data);curl --request GET \
--url https://inbound.new/api/e2/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://inbound.new/api/e2/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"id": "<string>",
"domain": "<string>",
"status": "<string>",
"canReceiveEmails": true,
"hasMxRecords": true,
"domainProvider": "<string>",
"providerConfidence": "<string>",
"lastDnsCheck": "2023-11-07T05:31:56Z",
"lastSesCheck": "2023-11-07T05:31:56Z",
"isCatchAllEnabled": true,
"catchAllEndpointId": "<string>",
"mailFromDomain": "<string>",
"mailFromDomainStatus": "<string>",
"mailFromDomainVerifiedAt": "2023-11-07T05:31:56Z",
"receiveDmarcEmails": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"stats": {
"totalEmailAddresses": 123,
"activeEmailAddresses": 123,
"hasCatchAll": true
},
"catchAllEndpoint": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"isActive": true
},
"verificationCheck": {
"dnsRecords": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"isVerified": true,
"error": "<string>"
}
],
"sesStatus": "<string>",
"isFullyVerified": true,
"lastChecked": "2023-11-07T05:31:56Z"
}
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123,
"hasMore": true
}
}Domains
List all domains
Get paginated list of domains for authenticated user with optional filtering.
GET
/
api
/
e2
/
domains
JavaScript
import Inbound from 'inboundemail';
const client = new Inbound({
apiKey: process.env['INBOUND_API_KEY'], // This is the default and can be omitted
});
const domains = await client.domains.list();
console.log(domains.data);Authorizations
Your Inbound API key. Include it in the Authorization header as: Bearer
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Available options:
pending, verified, failed Available options:
true, false Available options:
true Was this page helpful?
⌘I